classification
Title: Implement the latest semantics for PEP 634 for matching collections
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mark.Shannon Nosy List: Mark.Shannon, brandtbucher, kj, miss-islington, willingc
Priority: high Keywords: patch

Created on 2021-04-29 16:33 by Mark.Shannon, last changed 2021-06-25 15:46 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25723 merged Mark.Shannon, 2021-04-29 16:45
PR 25734 merged brandtbucher, 2021-04-29 22:07
PR 25813 merged Mark.Shannon, 2021-05-02 10:57
PR 25917 merged kj, 2021-05-05 15:24
PR 26117 merged miss-islington, 2021-05-14 05:31
PR 26864 merged brandtbucher, 2021-06-22 23:53
PR 26908 merged miss-islington, 2021-06-25 15:21
Messages (7)
msg392330 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-04-29 16:33
PEP 634 has been updated to allow a faster and more robust implementation of matching sequences and mappings: https://github.com/python/peps/pull/1937

It needs to be implemented.
msg392394 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-04-30 08:50
New changeset 069e81ab3da46c441335ca762c4333b7bd91861d by Mark Shannon in branch 'master':
bpo-43977: Use tp_flags for collection matching (GH-25723)
https://github.com/python/cpython/commit/069e81ab3da46c441335ca762c4333b7bd91861d
msg392747 - (view) Author: Brandt Bucher (brandtbucher) * (Python committer) Date: 2021-05-02 22:35
New changeset 9387fac100db359cbb6ec2a76f8a5eba8f9d7b65 by Brandt Bucher in branch 'master':
bpo-43977: Document the new pattern matching type flags (GH-25734)
https://github.com/python/cpython/commit/9387fac100db359cbb6ec2a76f8a5eba8f9d7b65
msg392750 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-05-02 23:38
New changeset 33ec88ac81f23668293d101b83367b086c795e5e by Mark Shannon in branch 'master':
bpo-43977: Make sure that tp_flags for pattern matching are inherited correctly. (GH-25813)
https://github.com/python/cpython/commit/33ec88ac81f23668293d101b83367b086c795e5e
msg393625 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2021-05-14 05:55
New changeset e7d25d3f3b335eb46d102137b447325f54750e31 by Miss Islington (bot) in branch '3.10':
bpo-43977: Update pattern matching language reference docs (GH-25917) (GH-26117)
https://github.com/python/cpython/commit/e7d25d3f3b335eb46d102137b447325f54750e31
msg396524 - (view) Author: Brandt Bucher (brandtbucher) * (Python committer) Date: 2021-06-25 15:21
New changeset ca2009d72a52a98bf43aafa9ad270a4fcfabfc89 by Brandt Bucher in branch 'main':
bpo-43977: Properly update the tp_flags of existing subclasses when their parents are registered (GH-26864)
https://github.com/python/cpython/commit/ca2009d72a52a98bf43aafa9ad270a4fcfabfc89
msg396525 - (view) Author: miss-islington (miss-islington) Date: 2021-06-25 15:46
New changeset 88970125e7a4917966f711dc7e93cf170977034f by Miss Islington (bot) in branch '3.10':
bpo-43977: Properly update the tp_flags of existing subclasses when their parents are registered (GH-26864)
https://github.com/python/cpython/commit/88970125e7a4917966f711dc7e93cf170977034f
History
Date User Action Args
2021-06-25 15:46:31miss-islingtonsetmessages: + msg396525
2021-06-25 15:21:13miss-islingtonsetpull_requests: + pull_request25484
2021-06-25 15:21:08brandtbuchersetmessages: + msg396524
2021-06-22 23:53:18brandtbuchersetpull_requests: + pull_request25439
2021-05-14 05:55:47willingcsetnosy: + willingc
messages: + msg393625
2021-05-14 05:31:39miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request24762
2021-05-05 15:24:24kjsetnosy: + kj

pull_requests: + pull_request24586
2021-05-02 23:39:01Mark.Shannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-05-02 23:38:31Mark.Shannonsetmessages: + msg392750
2021-05-02 22:35:06brandtbuchersetmessages: + msg392747
2021-05-02 10:57:10Mark.Shannonsetpull_requests: + pull_request24500
2021-04-30 08:50:36Mark.Shannonsetmessages: + msg392394
2021-04-29 22:07:56brandtbuchersetpull_requests: + pull_request24425
2021-04-29 17:32:02brandtbuchersetnosy: + brandtbucher
2021-04-29 16:45:49Mark.Shannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request24415
2021-04-29 16:33:41Mark.Shannoncreate